Skip to main content
PATCH
TypeScript

Authorizations

Authorization
string
header
required

API key authentication. Allowed headers-- "Authorization: ApiKey <novu_secret_key>".

Headers

idempotency-key
string

A header for idempotency purposes

Path Parameters

domain
string
required
address
string
required

Body

application/json
agentId
string

Agent identifier; required when type is agent, ignored when type is webhook.

type
enum<string>
Available options:
agent,
webhook
data
object

Replaces route metadata when provided (max 10 keys, 500 characters total for keys+values).

Response

OK

_id
string
required
_domainId
string
required
address
string
required
type
enum<string>
required
Available options:
agent,
webhook
_environmentId
string
required
_organizationId
string
required
createdAt
string
required
updatedAt
string
required
agentId
string

Internal id of the destination agent. Only present for agent routes.

data
object

String key-value metadata (max 10 keys, 500 characters total when set via API).